MyGUI: MyGUI::FlowDirection Struct Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::FlowDirection Struct Reference

`#include <MyGUI_FlowDirection.h>`

## Public Types
enum | Enum { LeftToRight, RightToLeft, TopToBottom, BottomToTop, MAX }

## Public Member Functions
| FlowDirection (Enum _value=LeftToRight)
bool | isHorizontal () const
bool | isVertical () const
std::string | print () const
int | getValue () const

## Static Public Member Functions
static FlowDirection | parse (const std::string &_value)

## Friends
bool | operator== (FlowDirection const &a, FlowDirection const &b)
bool | operator!= (FlowDirection const &a, FlowDirection const &b)
std::ostream & | operator<< (std::ostream &_stream, const FlowDirection &_value)
std::istream & | operator>> (std::istream &_stream, FlowDirection &_value)

## Detailed Description

Definition at line 16 of file MyGUI_FlowDirection.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::FlowDirection::Enum

Enumerator
LeftToRight |
RightToLeft |
TopToBottom |
BottomToTop |
MAX |

Definition at line 18 of file MyGUI_FlowDirection.h.

## Constructor & Destructor Documentation

## ◆ FlowDirection()

MyGUI::FlowDirection::FlowDirection | ( | Enum | _value = `LeftToRight` | ) |
| inline

Definition at line 27 of file MyGUI_FlowDirection.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::FlowDirection::getValue | ( |  | ) | const
| inline

Definition at line 85 of file MyGUI_FlowDirection.h.

## ◆ isHorizontal()

bool MyGUI::FlowDirection::isHorizontal | ( |  | ) | const
| inline

Definition at line 46 of file MyGUI_FlowDirection.h.

## ◆ isVertical()

bool MyGUI::FlowDirection::isVertical | ( |  | ) | const
| inline

Definition at line 51 of file MyGUI_FlowDirection.h.

## ◆ parse()

static FlowDirection MyGUI::FlowDirection::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 32 of file MyGUI_FlowDirection.h.

## ◆ print()

std::string MyGUI::FlowDirection::print | ( |  | ) | const
| inline

Definition at line 80 of file MyGUI_FlowDirection.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | FlowDirection const & | a,
|  | FlowDirection const & | b
| ) |  |
| friend

Definition at line 61 of file MyGUI_FlowDirection.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const FlowDirection & | _value
| ) |  |
| friend

Definition at line 66 of file MyGUI_FlowDirection.h.

## ◆ operator==

bool operator== | ( | FlowDirection const & | a,
|  | FlowDirection const & | b
| ) |  |
| friend

Definition at line 56 of file MyGUI_FlowDirection.h.

## ◆ operator>>

std::istream& operator>> | ( | std::istream & | _stream,
|  | FlowDirection & | _value
| ) |  |
| friend

Definition at line 72 of file MyGUI_FlowDirection.h.

The documentation for this struct was generated from the following file:

- MyGUI_FlowDirection.h